package com.example.sinfro;


import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ListView;
import android.widget.TextView;

public class VerEventos extends ListActivity {

	private Integer tipo;
	
	@Override	
	public void onCreate(Bundle savedInstanceState){
		super.onCreate(savedInstanceState);
		setContentView(R.layout.eventos);
        Intent it = getIntent();
        tipo = it.getIntExtra("tipo", -1);

        
		if (Sinfro.bd!=null){
			if (tipo==1) {
			setListAdapter( new MiAdaptador(this, Sinfro.bd.listadoElemento("eventos")));
			} else if (tipo==2) {
			setListAdapter( new MiAdaptador(this, Sinfro.bd.listadoElemento("articulos")));
	        TextView txt = (TextView)findViewById(R.id.txtEvento);
			txt.setText("Articulos");
			}
		}
	}
	
	protected void onListItemClick(ListView l, View v, int position, long id) {
	    super.onListItemClick(l, v, position, id);
	    Intent nextActivity = null;
	     
	    nextActivity = new Intent(this, ShowElement.class);
	    nextActivity.putExtra("tipo", tipo);
	    nextActivity.putExtra("KEY", position);
	     
	    this.startActivity(nextActivity);
	    }
}
