package com.example.sinfro;


import android.app.Activity;
import android.app.ProgressDialog;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

import com.google.android.gms.maps.model.LatLng;

public class ShowElement extends Activity {
	private Integer tipo;
	private TextView txtFecha, txtLugar,txtDireccion, txtCiudad, txtDesc;
    private Elemento generico;
    String[] lineas;
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.showelement);
        Intent it = getIntent();
        tipo = it.getIntExtra("tipo", -1);
        int id = it.getIntExtra("KEY", -1);
        if (id != -1) {
        	
        
        	           
        	if (tipo==1){
        		 generico = (Elemento) Sinfro.bd.verElemento("eventos",id);
        	} else if (tipo==2) {
        		 generico = (Elemento) Sinfro.bd.verElemento("articulos",id);
        	}
 
            TextView txtTitle = (TextView)findViewById(R.id.txtTitle);
            txtTitle.setText(generico.getTitle());
 
            TextView txtAuthor = (TextView)findViewById(R.id.txtAuthor);
            if (generico.getAuthor()!=null){
            	txtAuthor.setText("por " + generico.getAuthor());}
            else { txtAuthor.setVisibility(2); }
            
            txtFecha = (TextView)findViewById(R.id.txtFecha);
            txtLugar = (TextView)findViewById(R.id.txtLugar);
            txtDireccion = (TextView)findViewById(R.id.txtDireccion);
            txtCiudad = (TextView)findViewById(R.id.txtCiudad);
            txtDesc = (TextView)findViewById(R.id.txtDesc);
            if (tipo==Sinfro.TEVENTO) {
            	lineas = generico.getDescription().split("<br/>");            
            	txtFecha.setText("Fecha: "+lineas[0]);
            	txtLugar.setText("Lugar: " +lineas[1]);            	
            	txtDireccion.setText("Dirección:" + lineas[2]);            	
            	txtCiudad.setText("Ciudad: "+lineas[3]);
            	txtDesc.setVisibility(2);    	           	            	
            } else {
            	txtFecha.setVisibility(2);
            	txtLugar.setVisibility(2);
            	txtDireccion.setVisibility(2);
            	txtCiudad.setVisibility(2);
            	txtDesc.setText("Descripción: "+generico.getDescription());	
            }            
            
        }
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu){
    	getMenuInflater().inflate(R.menu.acciones, menu);
    	
    	return true;
    }
    
    public boolean onPrepareOptionsMenu(Menu menu){
    	if (tipo==2) {
    		MenuItem item = menu.getItem(0);
    		item.setVisible(false);

    	}
    	return super.onPrepareOptionsMenu(menu);
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item){
    	switch (item.getItemId()) {
    		case R.id.mnIra:{
    			Intent i = new Intent(this, VerMapa.class);
    			i.putExtra("lugar", lineas[1]);
    			i.putExtra("dir", lineas[2]);
    			i.putExtra("ciu", lineas[3]);
     			startActivity(i);
    			break;
    		}
    		case R.id.mnlink: {   			    			
                Intent i = new Intent(Intent.ACTION_VIEW, Uri.parse(generico.getLink()));
                startActivity(i);
    		}
    	}
    	return true;
    }
 
}
